Imports System.Text


Public Class frmGoogleMaps

    Dim consultaEndereco As New StringBuilder()




    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        Dim cidade As String = String.Empty

        Dim estado As String = String.Empty

        Dim rua As String = String.Empty

        Dim cep As String = String.Empty

        consultaEndereco.Append("http://maps.google.com/maps?q=")

        Try

            ' constroi a consulta pelo nome da cidade

            If txtCidade.Text <> String.Empty Then

                cidade = txtCidade.Text.Replace(" ", "+")

                consultaEndereco.Append(cidade + "," & "+")

            End If

            ' constroi a consulta pelo nome do estado

            If txtEstado.Text <> String.Empty Then

                estado = txtEstado.Text.Replace(" ", "+")

                consultaEndereco.Append(estado + "," & "+")

            End If

            ' constroi a consulta pelo nome da rua

            If txtRua.Text <> String.Empty Then

                rua = txtRua.Text.Replace(" ", "+")

                consultaEndereco.Append(rua + "," & "+")

            End If

            ' constroi a consulta pelo cep informado

            If txtCEp.Text <> String.Empty Then

                cep = txtCEp.Text.ToString()

                consultaEndereco.Append(cep)

            End If

            ' passa a URL com a string de consulta para o WebBrowser

            WebBrowser1.Navigate(consultaEndereco.ToString())

            consultaEndereco.Remove(0, consultaEndereco.Length)
            estado = ""
            rua = ""
            cidade = ""
            cep = ""

        Catch ex As Exception

            MessageBox.Show(ex.Message.ToString(), "Localização indisponível para exibição no Mapa.")

        End Try


    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim latitude As String = String.Empty

        Dim longitude As String = String.Empty


        If txtLatitude.Text = String.Empty Or txtLongitude.Text = String.Empty Then

            MessageBox.Show("Forneça um valor para latitude e longitude.", "Google Maps")

        End If



        consultaEndereco.Append("http://maps.google.com/maps?q=")



        Try

            ' monta a consulta com o valor da latitude

            If txtLatitude.Text <> String.Empty Then

                latitude = txtLatitude.Text

                consultaEndereco.Append(latitude + "%2C")

            End If

            ' monta a consulta com o valor da longitude

            If txtLongitude.Text <> String.Empty Then

                longitude = txtLongitude.Text

                consultaEndereco.Append(longitude)

            End If

            WebBrowser1.Navigate(consultaEndereco.ToString())

        Catch ex As Exception

            MessageBox.Show(ex.Message.ToString(), "Googe Maps - Erro")

        End Try
    End Sub

  
End Class